<?
/*
 Network Interface Statistics Collection Agent v2.5
 by Brett Baugh

 This is where you add a new SNMP host or select one to be
 edited or deleted. It also is a handy summary of your
 existing host configuration option.
 */

require_once("/etc/nisca/nisca.conf");
require_once($location["security"]);
?>
<html><head>
<title>Network Interface Statistics Collection Agent - SNMP Host Administration 1</title>
<style type="text/css">
* { font-family: <? echo $fontface; ?>; }
</style>
<script language="Javascript">
function formInit() {
  var f=document.thisForm;
  var i;
  f.deorphan.selectedIndex=0;
  for (i=0; i<f.ifhost.length; i++) {
    f.ifhost[i].checked=false;
  }
  for (i=0; i<f.delhost.length; i++) {
    f.delhost[i].checked=false;
  }
}
</script>
</head>
<?
echo default_body("onLoad='formInit();'") . titlebar("Host Administration");
$helpname="snmp_if1"; require_once($location["help"]);
echo "<hr size=1 noshade>\n";
if ($msg=="success") {
  echo "<P><font color=#228822><B>Operation completed successfully.</B></font>";
  if ($affrows != "") {
    echo "\n<BR>($affrows entries deleted.)";
  }
  echo "</P>\n";
}
if ($msg=="aborted") {
  echo "<P><B>Operation aborted.</B></P>\n";
}
if ($msg=="duphost") {
  print_error("You entered a duplicate hostname (\"$h\").");
}
if ($msg != "") {
  echo "<P><a href=\"{$location["admin"]}/\">Administration Menu</a></p>\n<hr noshade size=1>\n";
}
?>
<table border=0 cellspacing=0 cellpadding=4>
<form method="POST" action="adm_hosts2.php" name="thisForm">
<tr><td colspan=3 align=left><I>Add a Host to be Monitored<BR>
(if you need a special port, add it like this: </I><B>host.name.com:portnumber</B><I>):</I></td></tr>
<tr><td align=right><B>Hostname/IP Address:</td>
<td align=left><input type=text name="newhost" size=30></td>
<td rowspan=2 valign=top><input type=submit name="addhost" value=" Add Host "></td>
</tr>
<tr><td align=right><B>Re-add orphaned host:</B></td>
<td align=left><?
$orphans=orphaned_hosts();
echo make_select("deorphan", $orphans, FALSE, "Orphaned Host", TRUE);
?></td></tr>
</table>

<hr noshade size=1>
<table border=1 cellspacing=0 cellpadding=4>
<tr><td colspan=6 align=center><I>SNMP Hosts Already Configured:</I><BR>
<font size=-1>Click "IFs" to edit that host's interfaces.<BR>
Click "Del" to delete that host from the database.</font>
</td></tr>
<?
if (count($hostname) > 0) {
  echo "<tr><td>IFs</td><td>Del</td><td>Hostname/Alias</td><td># of IF's</td><td>Naming Method</td><td>Dynamic?</td></tr>\n";
  foreach ($hostname as $h) {
    $d=$interfaces[$h][0]["dynamic"];
    $a=$interfaces[$h][0]["hostalias"];
    $m=$interfaces[$h][0]["method"];
    $cnt=count($interfaces[$h]);
    if ($d != "") { $d="Yes"; } else { $d="No"; }
    echo "<tr>\n";
    echo "<td align=center><input type=radio name=\"ifhost\" value=\"$h\" onClick=\"submit()\"></td>\n";
    echo "<td align=center><input type=radio name=\"delhost\" value=\"$h\" onClick=\"submit()\"></td>\n";
    echo "<td>$h";
    if ($a == "") { $a="<I>No Alias.</I>"; }
    echo "<BR><font size=2>$a</font>";
    echo "</td>\n";
    echo "<td>$cnt</td>\n";
    echo "<td>$m</td>\n";
    echo "<td>$d</td>\n";
    echo "</tr>\n";
  }
} else {
  echo "<tr><th colspan=6>No hosts configured.</td></tr>\n";
}
?>
<tr><td colspan=6 align=center><input type=submit value=" Go "></td></tr>
</form>
</table>

<hr noshade size=1>
<P>
<a href="<? echo $location["admin"]; ?>/">Administration Menu</a>
</P>
</body></html>
