<?
/*
 Network Interface Statistics Collection Agent v2.5
 by Brett Baugh

 This is where you set the desired options for this report,
 or begin deleting it.
 */

if ($report=="") {
  header("Location: adm_rpt1.php");
  die;
}
require_once("/etc/nisca/nisca.conf");
require_once($location["security"]);

$sq="select * from reports where id=$report";
$res=dosql($sq);
if (mysql_num_rows($res) > 0) {
  list($crap, $name, $hostif, $bytes, $packets, $errors, $dropped,
    $reportctl, $in_out, $timeperiod, $time_x, $f_month, $f_day, $f_year, $f_hour,
    $f_min, $f_sec, $t_month, $t_day, $t_year, $t_hour, $t_min, $t_sec,
    $graph_x, $graph_y, $summ_interval, $summ_units, $g_bg, $g_text,
    $g_lborder, $g_dborder, $g_peak, $g_in, $g_out, $g_fmt,
    $multiple, $avginterval, $g_bb, $do95)=mysql_fetch_array($res);
} else {
  $crap=FALSE;
}

?>
<html><head>
<title>Network Interface Statistics Collection Agent - Report Administration 2</title>

<style type="text/css"><? echo "
*.g_bg      { color: #$g_text; background-color: #$g_bg; }
*.g_text    { color: #$g_text; background-color: #$g_bg; }
*.g_lborder { color: #$g_lborder; background-color: #$g_bg; }
*.g_dborder { color: #$g_dborder; background-color: #$g_bg; }
*.g_peak    { color: #$g_peak; background-color: #$g_bg; }
*.g_in      { color: #$g_in; background-color: #$g_bg; }
*.g_out     { color: #$g_out; background-color: #$g_bg; }
*           { font-family: $fontface; }
</style>
";
?>
<script language="Javascript">

// Browser sniffer. 'incapable' must be global.
var agent=navigator.userAgent.toLowerCase();
var incapable=false;
if (agent.indexOf('mozilla/4') != -1 && agent.indexOf('msie') == -1) {
  incapable=true;
} 

// Changes the appropriate colors in the CSS for the right elements as the values are changed.
function colorswitch(fld) {
  if(!document.styleSheets && document.getElementsByTagName) {
// Gotta make our own styleSheets array.
    document.styleSheets=[];
    document.styleSheets.concat(document.getElementsByTagName('STYLE'));
  }
  if(!document.styleSheets) {
// Incapable browser. Upgrade! :)
    return;
  }
  var col=eval("document.thisForm."+fld+".value");
  var flds=new Array("g_bg", "g_text","g_lborder","g_dborder","g_peak","g_in","g_out");
  var i, j, cls;
  if(!document.styleSheets[0].cssRules) {
//IE Browser.
    cls=document.styleSheets[0].rules;
  } else {
// not IE.
    cls=document.styleSheets[0].cssRules;
  }
  if (fld=="g_bg") {
// Change background color in all seven classes.
    for (i=0; i<flds.length; i++) {
      cls[i].style.backgroundColor=col;
    }
  } else {
    for (j=0; j<flds.length; j++) {
// Find the right class name.
      if (flds[j]==fld) { break; }
    }
// Change this class' text color.
    cls[j].style.color=col;
    if (fld=="g_text") {
// Also change the "Background" field's text display.
      cls[0].style.color=col;
    }
  }
}

function checkIt() {
  if (confirm("Really, really delete this report?")) {
    return true;
  } else {
    return false;
  }
}
</script>
</head>
<?
echo default_body() . titlebar("Report Administration");
$helpname="reports"; require_once($location["help"]);

if ($crap===FALSE) {
  echo "Sorry; no stored report has the ID number \"$report\".\n</body></html>";
  die;
}

if ($multiple != "") { $multiple="y"; }
$name=ss($name);
$hostif=ss($hostif);
if (! $hostiftmp=preg_split('/\*/', $hostif)) {
  $hostiftmp=array($hostif);
}
$hostif=$hostiftmp;
unset($hostiftmp);
?>
<P>
<hr size=1 noshade>
<h3>Editing the report &quot;<? echo $name; ?>&quot;</h3>
<a target="_blank" href="<?
  echo "{$location["home"]}/report.php?report=$report"
?>">Run this report to see what it looks like</a><P>
<form action="adm_rpt3.php" method=POST name="thisForm">
<hr size=1 noshade>
<input type=hidden name="report" value="<? echo $report; ?>">
<input type=hidden name="name" value="<? echo $name; ?>">
Rename report to <input type=text name="newname" value="<? echo $name; ?>" size=30>
<hr size=1 noshade>
<B>Report Data Configuration</B><P>
<table border=0 cellpadding=0>
<tr><td align=center valign=top>
Select all the hostname/interfaces you want stats on:<BR>
<?
$sq="select distinct hostname, if_name from stats_ifs order by hostname, if_name";
$res=dosql($sq);
$num_ifs=mysql_num_rows($res);
if ($num_ifs >= 10) {
  $size=10;
} else {
  $size=$num_ifs;
}
echo "<select multiple size=$size name=\"hostif[]\">\n";
while ($row=mysql_fetch_array($res)) {
  $hn=ss($row["hostname"]);
  $inf=ss($row["if_name"]);
  echo "<option value=\"$hn!$inf\"";
  foreach ($hostif as $i) {
    if ($i=="$hn!$inf") {
      echo " selected";
      break;
    }
  }
  echo ">$hn -&gt; $inf</option>\n";
}
?>
</select></td>
<td bgcolor=#000000><img src="1x1.gif"></td>
<td valign=top>
Show report(s) for the following types of information:<BR>
<table border=0 cellpadding=0>
<tr>
<td><input type=checkbox name="bytes" value="y"<?
if ($bytes != "") {
  echo " checked";
}
?>> Bytes transferred</td>
<td bgcolor=#000000 rowspan=2><img src="1x1.gif" border=0></td>
<td><input type=checkbox name="errors" value="y"<?
if ($errors != "") {
  echo " checked";
}
?>> Transfer errors</td>
</tr>
<tr>
<td><input type=checkbox name="packets" value="y"<?
if ($packets != "") {
  echo " checked";
}
?>> Packets transferred</td>
<td><input type=checkbox name="dropped" value="y"<?
if ($dropped != "") {
  echo " checked";
}
?>> Dropped packets</td>
</tr>
<tr>
<td colspan=3 align=right>

<select name="reportctl">
<option value="g"<? if ($reportctl == "g") { echo " selected"; }?>>Show graph(s) only</option>
<option value="r"<? if ($reportctl == "r") { echo " selected"; }?>>Show text report(s) only</option>
<option value="gr"<? if ($reportctl == "gr") { echo " selected"; }?>>Show graph(s) and text report(s)</option>
</select><BR>

<select name="in_out">
<option value="io"<? if ($in_out=="io") { echo " selected"; }?>>Graph Incoming &amp; Outgoing Data</option>
<option value="i"<? if ($in_out=="i") { echo " selected"; }?>>Graph Incoming Data Only</option>
<option value="o"<? if ($in_out=="o") { echo " selected"; }?>>Graph Outgoing Data Only</option>
</select><BR>

<select name="g_fmt">
<option value="j"<? if ($g_fmt=="j") { echo " selected"; }?>>Make Graphs as JPGs</option>
<option value="p"<? if ($g_fmt=="p") { echo " selected"; }?>>Make Graphs as PNGs</option>
</select><BR>

<select name="g_bb">
<option value="gr"<? if ($g_bb=="gr") { echo " selected"; } ?>>Graphs: bytes; Text: bytes</option>
<option value="r"<? if ($g_bb=="r") { echo " selected"; } ?>>Graphs: bits; Text: bytes</option>
<option value="g"<? if ($g_bb=="g") { echo " selected"; } ?>>Graphs: bytes; Text: bits</option>
<option value=""<? if ($g_bb=="") { echo " selected"; } ?>>Graphs: bits; Text: bits</option>
</select><BR>

<select name="do95"> 
<option value="0"<? if ($do95==0) { echo " selected"; } ?>>Don't Use 95th Percentile</option>
<option value="1"<? if ($do95==1) { echo " selected"; } ?>>Use 95th Percentile</option>
</select><BR>

<input type=checkbox name="multiple" value="y"<?
if ($multiple != "") { echo " checked"; }
if ($avginterval=="") { $avginterval=300; }
?>> Make "multiple" report<BR>
using a <input type=text name="avginterval" value="<? echo $avginterval; ?>" size=8>-second interval.
</td>
</tr>
</table>
</td></tr>
</table>
<hr size=1 noshade>
<B>Report Time Configuration</B><P>
Select how much data to view here. Set the value of &quot;<B>X</B>&quot; below to match
what you want if using one of the selections with an &quot;X&quot; in it.<BR>
<table border=0 cellpadding=0>
<tr><td align=center>
<select name="timeperiod">
<option value="">The entire contents of the database.</option>
<option value="last_day"<?
if ($timeperiod == "last_day") {
  echo " selected";
}
?>>The past <I>X</I> days.</option>
<option value="last_hour"<?
if ($timeperiod == "last_hour") {
  echo " selected";
}
?>>The past <I>X</I> hours.</option>
<option value="last_minute"<?
if ($timeperiod == "last_minute") {
  echo " selected";
}
?>>The past <I>X</I> minutes.</option>
<option value="set_dates"<?
if ($timeperiod == "set_dates") {
  echo " selected";
}
?>>A date/time range, set below.</option>
</select>
<B>X</B> = <input type=text name="time_x" value="<? echo $time_x; ?>" size=5></td></tr>
</table>
<table border=0 cellpadding=0>
<tr><td colspan=3>&nbsp;</td></tr>
<tr><td align=center>
<table border=0 cellpadding=0>
<tr><td align=center colspan=6><B><I>From:</I></B></td></tr>
<tr>
<td align=center>Month</td>
<td align=center>Day</td>
<td align=center>Year</td>
<td align=center>Hour</td>
<td align=center>Min</td>
<td align=center>Sec</td>
</tr>
<tr><td align=center><select name="f_month">
<option value="1"<?  if ($f_month==1) { echo " selected"; } ?>>Jan</option>
<option value="2"<?  if ($f_month==2) { echo " selected"; } ?>>Feb</option>
<option value="3"<?  if ($f_month==3) { echo " selected"; } ?>>Mar</option>
<option value="4"<?  if ($f_month==4) { echo " selected"; } ?>>Apr</option>
<option value="5"<?  if ($f_month==5) { echo " selected"; } ?>>May</option>
<option value="6"<?  if ($f_month==6) { echo " selected"; } ?>>Jun</option>
<option value="7"<?  if ($f_month==7) { echo " selected"; } ?>>Jul</option>
<option value="8"<?  if ($f_month==8) { echo " selected"; } ?>>Aug</option>
<option value="9"<?  if ($f_month==9) { echo " selected"; } ?>>Sep</option>
<option value="10"<? if ($f_month==10) { echo " selected"; } ?>>Oct</option>
<option value="11"<? if ($f_month==11) { echo " selected"; } ?>>Nov</option>
<option value="12"<? if ($f_month==12) { echo " selected"; } ?>>Dec</option>
</select></td>
<td align=center><input type=text name="f_day" size=2 maxlength=2 value="<? echo $f_day; ?>"></td>
<td align=center><input type=text name="f_year" size=4 maxlength=4 value="<? echo $f_year; ?>"></td>
<td align=center><input type=text name="f_hour" size=2 maxlength=2 value="<? echo $f_hour; ?>"></td>
<td align=center><input type=text name="f_min" size=2 maxlength=2 value="<? echo $f_min; ?>"></td>
<td align=center><input type=text name="f_sec" size=2 maxlength=2 value="<? echo $f_sec; ?>"></td>
</tr>
</table>
</td>
<td bgcolor=#000000><img src="1x1.gif" width=1></td>
<td align=center>
<table border=0 cellpadding=0>
<tr><td align=center colspan=6><B><I>To:</I></B></td></tr>
<tr>
<td align=center>Month</td>
<td align=center>Day</td>
<td align=center>Year</td>
<td align=center>Hour</td>
<td align=center>Min</td>
<td align=center>Sec</td>
</tr>
<tr><td align=center><select name="t_month">
<option value="1"<? if ($f_month==1) { echo " selected"; } ?>>Jan</option>
<option value="2"<? if ($f_month==2) { echo " selected"; } ?>>Feb</option>
<option value="3"<? if ($t_month==3) { echo " selected"; } ?>>Mar</option>
<option value="4"<? if ($t_month==4) { echo " selected"; } ?>>Apr</option>
<option value="5"<? if ($t_month==5) { echo " selected"; } ?>>May</option>
<option value="6"<? if ($t_month==6) { echo " selected"; } ?>>Jun</option>
<option value="7"<? if ($t_month==7) { echo " selected"; } ?>>Jul</option>
<option value="8"<? if ($t_month==8) { echo " selected"; } ?>>Aug</option>
<option value="9"<? if ($t_month==9) { echo " selected"; } ?>>Sep</option>
<option value="10"<? if ($t_month==10) { echo " selected"; } ?>>Oct</option>
<option value="11"<? if ($t_month==11) { echo " selected"; } ?>>Nov</option>
<option value="12"<? if ($t_month==12) { echo " selected"; } ?>>Dec</option>
</select></td>
<td align=center><input type=text name="t_day" size=2 maxlength=2 value="<? echo $t_day; ?>"></td>
<td align=center><input type=text name="t_year" size=4 maxlength=4 value="<? echo $t_year; ?>"></td>
<td align=center><input type=text name="t_hour" size=2 maxlength=2 value="<? echo $t_hour; ?>"></td>
<td align=center><input type=text name="t_min" size=2 maxlength=2 value="<? echo $t_min; ?>"></td>
<td align=center><input type=text name="t_sec" size=2 maxlength=2 value="<? echo $t_sec; ?>"></td>
</tr>
</table>
</td></tr>
</table>
<P>
Summarize/average the data in
<input type=text name="summ_interval" size=6 value="<? echo $summ_interval; ?>"> -
<select name="summ_units">
  <option value="second"<?
if ($summ_units=="second") {
  echo " selected";
}
?>>second</option>
  <option value="minute"<?
if ($summ_units=="minute") {
  echo " selected";
}
?>>minute</option>
  <option value="hour"<?
if ($summ_units=="hour") {
  echo " selected";
}
?>>hour</option>
  <option value="day"<?
if ($summ_units=="day") {
  echo " selected";
}
?>>day</option>
  <option value="month"<?
if ($summ_units=="month") {
  echo " selected";
}
?>>month</option>
  <option value="year"<?
if ($summ_units=="year") {
  echo " selected";
}
?>>year</option>
</select>
chunks when making the text-only report.<BR>
</P>
<P>
<hr size=1 noshade>
<B>Graph Configuration</B><P>
Make the graphs
<input type=text name="graph_x" size=5 value="<? echo $graph_x; ?>">
pixels wide by
<input type=text name="graph_y" size=5 value="<? echo $graph_y; ?>">
pixels high.<BR>

<table border=0 cellpadding=1 cellspacing=3>
<tr><td colspan=13 bgcolor=#000000><img src="1x1.gif" height=1></td></tr>
<tr><td colspan=13 align=center>Set colors to use on the graphs below
(standard RGB hex color codes).</td></tr>
<tr><td colspan=13 bgcolor=#000000><img src="1x1.gif" height=1></td></tr>
<tr>
<td align=center>Background</td>
<td rowspan=3 bgcolor=#000000><img src="1x1.gif" height=1></td>
<td align=center>Text</td>
<td rowspan=3 bgcolor=#000000><img src="1x1.gif" height=1></td>
<td align=center>Light Border</td>
<td rowspan=3 bgcolor=#000000><img src="1x1.gif" height=1></td>
<td align=center>Dark Border</td>
<td rowspan=3 bgcolor=#000000><img src="1x1.gif" height=1></td>
<td align=center>Peak</td>
<td rowspan=3 bgcolor=#000000><img src="1x1.gif" height=1></td>
<td align=center>Incoming</td>
<td rowspan=3 bgcolor=#000000><img src="1x1.gif" height=1></td>
<td align=center>Outgoing</td>
</tr>
<tr>
<td align=center><input onChange="colorswitch('g_bg');" type=text size=7 maxlength=6
 name="g_bg" value="<? echo strtoupper($g_bg); ?>"></td>
<td align=center><input onChange="colorswitch('g_text');" type=text size=7 maxlength=6
 name="g_text" value="<? echo strtoupper($g_text); ?>"></td>
<td align=center><input onChange="colorswitch('g_lborder');" type=text size=7 maxlength=6
 name="g_lborder" value="<? echo strtoupper($g_lborder); ?>"></td>
<td align=center><input onChange="colorswitch('g_dborder');" type=text size=7 maxlength=6
 name="g_dborder" value="<? echo strtoupper($g_dborder); ?>"></td>
<td align=center><input onChange="colorswitch('g_peak');" type=text size=7 maxlength=6
 name="g_peak" value="<? echo strtoupper($g_peak); ?>"></td>
<td align=center><input onChange="colorswitch('g_in');" type=text size=7 maxlength=6
 name="g_in" value="<? echo strtoupper($g_in); ?>"></td>
<td align=center><input onChange="colorswitch('g_out');" type=text size=7 maxlength=6
 name="g_out" value="<? echo strtoupper($g_out); ?>"></td>
</tr>
<tr>
<td class="g_bg" align=center bgcolor=#<? echo $g_bg; ?>>
<script language="Javascript">
if (incapable) { document.write('<font color=#<? echo $g_text; ?>>'); }
</script>
Sample Text</td>
<td class="g_text" align=center bgcolor=#<? echo $g_bg; ?>>
<script language="Javascript">
if (incapable) { document.write('<font color=#<? echo $g_text; ?>>'); }
</script>
Sample Text</td>
<td class="g_lborder" align=center bgcolor=#<? echo $g_bg; ?>>
<script language="Javascript">
if (incapable) { document.write('<font color=#<? echo $g_lborder; ?>>'); }
</script>
Sample Text</td>
<td class="g_dborder" align=center bgcolor=#<? echo $g_bg; ?>>
<script language="Javascript">
if (incapable) { document.write('<font color=#<? echo $g_dborder; ?>>'); }
</script>
Sample Text</td>
<td class="g_peak" align=center bgcolor=#<? echo $g_bg; ?>>
<script language="Javascript">
if (incapable) { document.write('<font color=#<? echo $g_peak; ?>>'); }
</script>
Sample Text</td>
<td class="g_in" align=center bgcolor=#<? echo $g_bg; ?>>
<script language="Javascript">
if (incapable) { document.write('<font color=#<? echo $g_in; ?>>'); }
</script>
Sample Text</td>
<td class="g_out" align=center bgcolor=#<? echo $g_bg; ?>>
<script language="Javascript">
if (incapable) { document.write('<font color=#<? echo $g_out; ?>>'); }
</script>
Sample Text</td>
</tr>
<tr><td colspan=13 bgcolor=#000000><img src="1x1.gif" height=1></td></tr>
</table>
<hr size=1 noshade>
<table border=0>
<tr><td align=left><input type=submit value=" Save Updated Report "></td>
<td align=right><input type=reset value=" Reset the form to stored values ">
</td></tr>
</form>
<form action="adm_delrpt.php" onSubmit="return checkIt();">
<input type=hidden name="report" value="<? echo $report; ?>">
<tr><td align=center colspan=2>
<input type=submit value=' Delete the report "<? echo $name; ?>" '>
</td></tr>
</table>
</P>
</form>
<a href="<? echo $location["admin"]; ?>/">Administration Menu</a>
</body>
</html>
