<?
/*
 Network Interface Statistics Collection Agent v2.5
 by Brett Baugh

 This is where you select the interfaces to be monitored
 on localhost, via the /proc/net/dev file... not SNMP.
 */

require_once("/etc/nisca/nisca.conf");
require_once($location["security"]);
?>
<html><head>
<title>Network Interface Statistics Collection Agent - Hardcoded Config Settings</title>
<style type="text/css">
* { font-family: <? echo $fontface; ?>; }
</style>
</head>
<? echo default_body() . titlebar("Hardcoded Config Settings"); ?>
<hr size=1 noshade>
<P>
These are the values which you have set in your "nisca.conf"
and "db.conf" files. You can't change any of them here, but
I thought it'd be nice to have someplace you could come see
what they're all set to without having to hunt and find which
config files you're using.
<P>
<table border=1 cellspacing=0 cellpadding=4>
<tr><th>Variable Name</th><th>Setting</th></tr>
<?

// To add global variables you want to see on this page to this script,
// just add them (carefully) to the array definition below.
// If the variable you want monitored IS an array, just put its name
// in quotes and every element defined in it will be displayed
// (for example, "hostname"). Note you can't use this for variables
// which are arrays OF arrays (like "interfaces")!

$var_set = array(
  "location",
  "database",
  "db_host",
  "db_user",
  "db_pass",
  "db_stats"
);

function rowcolor($i) {
  if ($i%2==0) {
    $rc="#bbbbff";
  } else {
    $rc="#d0d0ff";
  }
  return $rc;
}

$i=0;
foreach ($var_set as $var) {
  $tmp=$$var;
  if (is_array($tmp)) {
    while (list($key, $value) = each($tmp)) {
      $rc=rowcolor($i); $i++;
      echo "<tr><td bgcolor=$rc>\$$var"."[\"$key\"]</td><td bgcolor=$rc>$value</td></tr>\n";
    }
  } else {
    $rc=rowcolor($i); $i++;
    if($tmp=="") { $tmp="&nbsp;"; }
    if($var=="db_pass" && $$var != "") { $tmp="<I>(using password)</I>"; }
    elseif ($var=="db_pass") { $tmp="<I>(not using password)</I>"; } 
    echo "<tr><td bgcolor=$rc>\$$var</td><td bgcolor=$rc>$tmp</td></tr>\n";
  }
}

?>
</table>
<hr noshade size=1>
<P>
<a href="<? echo $location["admin"]; ?>/">Administration Menu</a>
</P>
</body></html>
