<?
/*
 Network Interface Statistics Collection Agent v2.5
 by Brett Baugh

 This contains the functions/settings which are only used by the collection scripts.
*/

function write_pid($pidfile) {
  global $runasdaemon;
  if ($runasdaemon=="y" && trim($pidfile) != "") {
    $pid=getmypid();
    if ($fp=@fopen($pidfile, "w")) {
      fputs($fp, $pid);
      fclose($fp);
    }
  }
}

function mydie($oops="") {
  echo "$oops\nDeath has occurred; this script hasn't changed anything.\n\n";
  die;
}

function dosql2($sq) {
// This function's a lot more "robust" (just shoot me) than in functions.php.
//  echo "$sq\n";
  global $persistent_connection;
  if (! $persistent_connection) {
    echo "Database has failed completely!! Writing cache file to disk.\n";
    save_cachefile();
    return FALSE;
  }
  $res=mysql_query($sq, $persistent_connection);
  if (mysql_error($persistent_connection) != "") {
    echo "SQL Query Failure!\n" .
         mysql_error($persistent_connection) . ":</I><P>\n$sq<P>\n";
    if (preg_match('/^insert\s+/', $sq)) {
// If you add any "replace" or "delete" SQL queries here, update that line above!
      save_cachefile();
    }
    return FALSE;
  } else {
    return $res;
  }
}

function send_cache() {
// Attempts to send the sql cache's contents to the database IF not empty.
// This function also destroys the cache *file* (/tmp/whatever) upon success.
  global $sql_cache, $cache_file, $debug;
  if ($debug) { return TRUE; }
  if (count($sql_cache) < 1) {
    @unlink($cache_file);
    return TRUE;
  }
  $cache_out=array();
  $delcache=FALSE;
  foreach ($sql_cache as $sq) {
    if (dosql2($sq)==FALSE) {
      $delcache=FALSE;
      $cache_out[]=$sq;
    } else {
      $delcache=TRUE;
    }
  }
  if ($delcache && count($cache_out)==0) { @unlink($cache_file); }
  $sql_cache=$cache_out;
  unset($cache_out);
  return TRUE;
}

function save_cachefile() {
// Saves the sql cache's contents to disk.
  global $sql_cache, $cache_file, $debug;
  if ($debug || count($sql_cache) < 1) { return TRUE; }
  if ($fp=@fopen($cache_file, "w")) {
    foreach($sql_cache as $sq) {
      fputs($fp, $sq);
    }
    ftruncate($fp, ftell($fp));
    fclose($fp);
    return TRUE;
  } else {
    return FALSE;
  }
}

function load_cachefile() {
  global $sql_cache, $cache_file, $debug;
  if ($debug) { return TRUE; }
  if (file_exists($cache_file)) {
    $sql_cache=file($cache_file);
  }
}

$sql_cache=array();
?>
