<?
/*
 Network Interface Statistics Collection Agent v2.5
 by Brett Baugh

 This is where you select which communities to monitor on this host.
 */

if ($host=="") {
  header("Location: adm_hosts1.php");
  die;
}
require_once("/etc/nisca/nisca.conf");
require_once($location["security"]);
$oid=set_oids();
?>
<html><head>
<title>Network Interface Statistics Collection Agent - SNMP Host Administration 2</title>
<style type="text/css">
* { font-family: <? echo $fontface; ?>; }
</style>
</head>
<?
echo default_body("onLoad='document.thisForm.comms.focus();'") .
     titlebar("SNMP Host Administration");
$helpname="snmp_if2"; require_once($location["help"]);
?>
<hr size=1 noshade>
<P>
<form method=POST action="adm_snmp2.php" name="thisForm">
<input type=hidden name="host" value="<? echo $host; ?>">
<?
$sq="select distinct community from stats_ifs where hostname='$host' order by community";
$res=dosql($sq);
$textarea="";
if (mysql_num_rows($res) > 0) {
  while ($row=mysql_fetch_array($res)) {
    $c=ss($row["community"]);
//    if ($c=="") { $c="public"; }
    if ($c=="") { continue; }
    $textarea .= "$c,";
//    $syscommune=$c; // WHAT is this for??
  }
  if ($textarea=="") { $textarea="public"; }
  else { $textarea=substr($textarea, 0, strlen($textarea)-1); }
} else {
//  $textarea=$syscommune="public\n";
  $textarea="public\n";
}
$m=$interfaces[$host][0]["method"];
?>
</P>
<P>
Enter every community you want to use to access the host &quot;<? echo $host; ?>&quot;.<BR>
Separate communities with "," (commas).
</P>
<P>
<input type=text name="comms" size=50 value="<? echo $textarea; ?>"><P>
Select the method you wish to use to uniquely identify this machine's interfaces below.<BR>
<font size=2>
Usually "ifDescr" is good enough, but you'll need to use another method if this machine
returns the same ifDescr for more than one interface. Some of these methods will
fail completely... trial and error is best. If the method you pick doesn't work,
just hit your "Back" button and select a different one here.
</font>
</P>
<P>
<table border=0 cellspacing=3 cellpadding=0>
<tr><td align=center>
<?
echo $font;
// Note to programmers... the values of the options below are directly used to
// call the $oid[$method] interface name values. You can't change them here
// or add new ones here without changing or adding the corresponding $oid[]
// entry in functions.php (the "set_oids()" function).
?>
<select name="method">
<option value="ifDescr"<?
if ($m=="ifDescr") { echo " selected"; }
?>>ifDescr</option>
<option value="ifPhysAddress"<?
if ($m=="ifPhysAddress") { echo " selected"; }
?>>ifPhysAddress</option>
<option value="ifIndex"<?
if ($m=="ifIndex") { echo " selected"; }
?>>ifIndex</option>
<option value="ifName"<?
if ($m=="ifName") { echo " selected"; }
?>>ifName</option>
<option value="locDescr"<?
if ($m=="locDescr") { echo " selected"; }
?>>Cisco's locIfDescr</option>
<option value="CatalystPort"<?
if ($m=="CatalystPort") { echo " selected"; }
?>>Catalyst Portname</option>
</select></td>
<td>
<? echo "$font<font size=2>"; ?>
<ul>
<li><B>ifDescr:</B> The best method unless you have a need to change it. This is the long
    interface name, like "FastEthernet0/0".
<li><B>ifPhysAddress:</B> AKA "MAC Address", "Ethernet Address", or "Physical Address".
    This is the 6-byte Machine Address Code, like "00:01:42:08:f6:00".
<li><B>ifIndex:</B> This is the number the SNMP agent assigns to each interface, like "1".
    Guaranteed to always work, but some agents have a tendency to change them when you least
    expect it, causing the stats for two or more interfaces to switch places in the database.
    (This is what MRTG uses by default.)
<li><B>ifName:</B> This is the short version of "ifDescr" and, thus, can return the same name
    for many interfaces. Never use this unless you really know what you're doing. Oh, and it's
    only available if you're using SNMPv2c.
<li><B>Cisco locIfDescr:</B> I'm not really sure what this is, but people seem to like it.
    Give it a try if all else fails.  :)
<li><B>Catalyst Portname:</B> What you have to use if you use one of those Cisco Catalysts
    that has the same ifDescr for every interface.
</ul>
</td></tr>
</table>
<input type=submit value=" Go ">
</form>
<hr noshade size=1>
<P>
<a href="adm_hosts1.php">Host Administration</a><BR>
<a href="<? echo $location["admin"]; ?>/">Administration Menu</a>
</P>
</body></html>
