<?
/*
 Network Interface Statistics Collection Agent v2.5
 by Brett Baugh

 This re-averages the stats and makes a backup if requested.
 */

require_once("/etc/nisca/nisca.conf");
require_once($location["security"]);
if ($sql_query=="" || $interval=="" || $id=="" || $f_stamp=="" || $t_stamp=="") {
  header("Location: adm_trim1.php");
  die;
}
$dateformat=ereg_replace('y', 'Y', $dateformat);
if (trim($archive) != "") {
// Yes, I'm sorry I have to ignore whatever date/time format you have set, but
// we just can't have slashes in a filename now can we... I have to be sure.
// This format should be recognizeable by everyone though... and the month name
// will be in whatever language you're using :)
  $filename="{$location["archive"]}/AVERAGED_" . date("dMY-H.i.s") . ".sql";
  if ($have_gz) {
    $openfunc="gzopen"; $putfunc="gzwrite"; $closefunc="gzclose";
    $filename .= ".gz";
  } elseif ($have_bz) {
    $openfunc="bzopen"; $putfunc="bzwrite"; $closefunc="bzclose";
    $filename .= ".bz2";
  } else {
    $openfunc="fopen"; $putfunc="fwrite"; $closefunc="fclose";
  }
  if (! $fp=@$openfunc($filename, "w")) {
?>
<html>
<? echo default_body(); ?>
Couldn't write the backup file to "<? echo $filename; ?>"... aborting.<BR>
Hit your "Back" button, check the permissions on that directory, and try again...
<P>
<a href="adm_trim1.php">Re-Averaging Menu</a>
</body></html>
<?
    die;
  }
  $out=
'# NISCA 2.2 Re-Averaging Archive File
# Dump created on ' . date($dateformat) . '
# To restore this file, run this command:
';
  switch ($openfunc) {
  case "gzopen":
    $out .="#    zcat $filename | mysql $database\n";
    break;
  case "bzopen":
    $out .="#    bzcat $filename | mysql $database\n";
    break;
  default:
    $out .="#    cat $filename | mysql $database\n";
    break;
  } 
  $out .= '
# This file contains data for:
# ----------------------------
#          host: ' . $id_if[$id]["h"] . '
#     community: ' . $id_if[$id]["c"] . '
#     interface: ' . $id_if[$id]["i"] . '
#         if_id: ' . $id . '
#          from: ' . date($dateformat, $f_stamp) . '
#            to: ' . date($dateformat, $t_stamp) . '
#      interval: ' . $interval . ' seconds
#
';
}
$sql_query=eregi_replace("select stamp from", "select * from", $sql_query);
$res=dosql($sql_query);
$num=0;
$sq=array();
$ceil=mysql_result($res,0,"stamp") + $interval;
while($row=mysql_fetch_array($res)) {
  if ($row["stamp"] > $ceil) {
    $ceil = $row["stamp"] + $interval;
  } else {
    if ($archive != "") {
      $out .= "REPLACE INTO stats (if_id, r_bytes, r_packets, r_errors, r_dropped, " .
        "t_bytes, t_packets, t_errors, t_dropped, stamp) VALUES ($id, {$row["r_bytes"]}, " .
        "{$row["r_packets"]}, {$row["r_errors"]}, {$row["r_dropped"]}, " .
        "{$row["t_bytes"]}, {$row["t_packets"]}, {$row["t_errors"]}, " .
        "{$row["t_dropped"]}, {$row["stamp"]});\n";
    }
    $sq[]="delete from stats where if_id=$id and stamp={$row["stamp"]}";
  }
}
if ($archive != "") {
  if (! @$putfunc($fp, $out)) {
    echo "<html>\n" . default_body() . titlebar() .
      "\nError writing to $filename! I will not be removing any stats from your database.<BR>\n" .
      "<a href=\"adm_trim1.php\">Re-Averaging Menu</a>\n</body></html>";
// Might as well try to close it anyway at this point...
    @$closefunc($fp);
    die;
  }
  if (! @$closefunc($fp)) {
    echo "<html>\n" . default_body() . titlebar() .
      "\nError closing $filename! I will not be removing any stats from your database.<BR>\n" .
      "<a href=\"adm_trim1.php\">Re-Averaging Menu</a>\n</body></html>";
    die;
  }
}
foreach($sq as $query) {
  $res=dosql($query);
}

header("Location: adm_trim1.php?msg=success");
?>
